<?php
/**
 * Namespace Vendas\Entities
 *
 * PHP version 5
 *
 * @category Php
 * @package  Vendas\Entities
 * @author   andreteixeira <andre.teixeira@teknisa.com>
 * @license  www.teknisa.com Teknisa
 * @link     http://localhost:9090/tecfood
 */
namespace Vendas\Entities;

/**
 * Class Nvsubgrprod
 *
 * PHP version 5
 *
 * @category Php
 * @package  Vendas\Entities
 * @author   andreteixeira <andre.teixeira@teknisa.com>
 * @license  www.teknisa.com Teknisa
 * @link     http://localhost:9090/tecfood
 */
class Nvsubgrprod extends Base\Nvsubgrprod
{

    /**
     * Exclui Todos os Produtos dos Subgrupos
     *
     * @param String $nrorg       Organização
     * @param String $cdfilisubgr Código da Unidade
     *
     * @return null
     */
    public static function excluiRegistros (
        $nrorg, $cdfilisubgr
    ) {
        $regs = self::getObjectsByWhere(
            "NRORG = ? AND CDFILISUBGR = ?",
            array($nrorg, $cdfilisubgr)
        );

        if (is_array($regs)) {
            foreach ($regs as $reg) {
                if ($reg instanceof self) {
                    $reg->delete();
                }
            }
        }
    }

}